Subject: Re: [PATCH 4/4] powerpc/boot: don't clobber r6 and r7 in epapr boot

From: Jeremy Kerr <[email-masked]>
Date: Wed, 11 Feb 2015 12:27:07 +0800

Hi Ben,

> You might want to also remove the use of r8 and r9 which are supposed
> to contain the OPAL entry and base for debugging purposes. We would also
> have to restore them before booting the kernel.

I'd prefer that to be a separate change, if that's okay - it'd require
us to change the kentry prototype, and would percolate to epapr_platform
init too.

Cheers,

Jeremy